Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.xml
Class SAXWrapper

    java.lang.Object
      org.basex.core.Progress
          org.basex.build.Parser
              org.basex.build.xml.SAXWrapper

    public final class SAXWrapper

extends Parser

This class parses an XML document with Java's default SAX parser. Note that large file cannot be parsed with the default parser due to entity handling (e.g. the DBLP data).

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.build.Parser
`doc, io, prop`

Constructor Summary
`SAXWrapper(javax.xml.transform.sax.SAXSource s, Prop pr)` Constructor.

Method Summary
`java.lang.String` | `det()` Returns short information on this process.
`void` | `parse(Builder build)` Parses all nodes and sends events to the specified builder.
`double` | `prog()` Returns progress information.
`java.lang.String` | `tit()` Returns short information on this process.

Methods inherited from class org.basex.build.Parser
`emptyParser, xmlParser`

Methods inherited from class org.basex.core.Progress
`checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXWrapper

    public SAXWrapper(javax.xml.transform.sax.SAXSource s,
                      Prop pr)

  Constructor.

  Parameters:
    `s` - sax source
    `pr` - database properties

Method Detail

### parse

    public void parse(Builder build)
               throws java.io.IOException

  Description copied from class: `Parser`
  Parses all nodes and sends events to the specified builder.

  Specified by:
    `parse` in class `Parser`
  Parameters:
    `build` - database builder
  Throws:
    `java.io.IOException` - I/O exception

### tit

    public java.lang.String tit()

  Description copied from class: `Progress`
  Returns short information on this process. Can be overwritten to give more detailed information.

  Overrides:
    `tit` in class `Progress`
  Returns:
    header information

### det

    public java.lang.String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

### prog

    public double prog()

  Description copied from class: `Progress`
  Returns progress information. Can be overwritten to give more detailed information.

  Overrides:
    `prog` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD